apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: forgejo
  namespace: argocd
  labels:
    env: dev
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
    retry:
      limit: -1
  destination:
    name: in-cluster
    namespace: gitea
  sources:
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/forgejo-helm.git
      path: .
      targetRevision: v12.0.0-depends
      helm:
        valueFiles:
          - $values/otc/penguin-observability.think-ahead.cloud/stacks/core/forgejo/values.yaml
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      ref: values
